--- src/makemake.in	2006-10-02 06:54:24.000000000 +1300
+++ /home/francois/Desktop/clisp-2.41.p12/patches/makemake.in	2007-08-18 14:46:11.000000000 +1200
@@ -1124,6 +1124,8 @@
             # gcc-2.7.2 has a strength-reduction bug (fixed in gcc-2.7.2.1,
             # also fixed through the specs file of some Linux distributions).
             XCFLAGS=$XCFLAGS' -O2 -fexpensive-optimizations -fno-strength-reduce' ;;
+          4.2* )                    # SAGE -- needed on x86 Pentium with GCC-4.2.1
+            XCFLAGS=$XCFLAGS' -O0' ;;  # note that this is -O0 and *not* -O.
           2.3.[2-9]* | 2.[4-9]* | 3.* | 4.* | egcs-2.*)
             XCFLAGS=$XCFLAGS' -O2 -fexpensive-optimizations' ;;
           * )
@@ -1146,7 +1148,8 @@
           2.9* | 3.* | 4.*)
             # gcc-2.95 produces incorrect code when compiling predtype
             # (function C_coerce).
-            XCFLAGS=$XCFLAGS' -O2 -fno-schedule-insns -fno-gcse' ;;
+            #XCFLAGS=$XCFLAGS' -O2 -fno-schedule-insns -fno-gcse' ;;
+            XCFLAGS=$XCFLAGS' -O0' ;;  # FOR SAGE
           * )
             XCFLAGS=$XCFLAGS' -O2' ;;
         esac
@@ -1160,6 +1163,9 @@
     elif [ "$cpu" = x86_64 ] ; then
       # gcc-3.2.2 produces incorrect code when -O2 is used.
       XCFLAGS=$XCFLAGS' -O'
+    elif [ "$cpu" = ia64 ] ; then                                # SAGE -- William Stein, 2006-11-07
+      # gcc-4.1.1 produces incorrect code when -O2 is used.      # SAGE
+      XCFLAGS=$XCFLAGS' -O0'                                     # SAGE
     else
       XCFLAGS=$XCFLAGS' -O2'
     fi
@@ -3023,7 +3029,7 @@
   encflags=''
 fi
 someflags=${encflags}' -norc'
-echol "RUN= ${HERE}lisp${LEXE} ${localeflags}${someflags}"
+echol "RUN= ${HERE}lisp${LEXE} -on-error appease ${localeflags}${someflags}"
 echol
 
 for f in ${LUTILS} ; do
@@ -3116,7 +3122,7 @@
 else
   localeflags='-B `pwd`'
 fi
-CLISP_="${HERE_}lisp${LEXE} -M ${HERE_}lispinit.mem ${localeflags}${someflags}"
+CLISP_="${HERE_}lisp${LEXE} -on-error appease -M ${HERE_}lispinit.mem ${localeflags}${someflags}"
 
 if [ $CROSS = false ] ; then
   CHECK_DEPS="check-recompile check-fresh-line check-script check-exec-image check-tests"
